<!-- Code generated from the comments of the Config struct in builder/virtualbox/vm/config.go; DO NOT EDIT MANUALLY -->

-   `guest_additions_mode` (string) - The method by which guest additions are
    made available to the guest for installation. Valid options are `upload`,
    `attach`, or `disable`. If the mode is `attach` the guest additions ISO will
    be attached as a CD device to the virtual machine. If the mode is `upload`
    the guest additions ISO will be uploaded to the path specified by
    `guest_additions_path`. The default value is `upload`. If `disable` is used,
    guest additions won't be downloaded, either.
    
-   `guest_additions_path` (string) - The path on the guest virtual machine
     where the VirtualBox guest additions ISO will be uploaded. By default this
     is `VBoxGuestAdditions.iso` which should upload into the login directory of
     the user. This is a [configuration
     template](/docs/templates/engine) where the `Version`
     variable is replaced with the VirtualBox version.
    
-   `guest_additions_sha256` (string) - The SHA256 checksum of the guest
     additions ISO that will be uploaded to the guest VM. By default the
     checksums will be downloaded from the VirtualBox website, so this only needs
     to be set if you want to be explicit about the checksum.
    
-   `guest_additions_url` (string) - The URL to the guest additions ISO
     to upload. This can also be a file URL if the ISO is at a local path. By
     default, the VirtualBox builder will attempt to find the guest additions ISO
     on the local file system. If it is not available locally, the builder will
     download the proper guest additions ISO from the internet.
    
-   `attach_snapshot` (string) - Default to `null/empty`. The name of an
     **existing** snapshot to which the builder shall attach the VM before
     starting it. If no snapshot is specified the builder will simply start the
     VM from it's current state i.e. snapshot.
    
-   `target_snapshot` (string) - Default to `null/empty`. The name of the
      snapshot which shall be created after all provisioners has been run by the
      builder. If no target snapshot is specified and `keep_registered` is set to
      `false` the builder will revert to the snapshot to which the VM was attached
      before the builder has been executed, which will revert all changes applied
      by the provisioners. This is handy if only an export shall be created and no
      further snapshot is required.
    
-   `force_delete_snapshot` (bool) - Defaults to `false`. If set to `true`,
      overwrite an existing `target_snapshot`. Otherwise the builder will yield an
      error if the specified target snapshot already exists.
    
-   `keep_registered` (bool) - Set this to `true` if you would like to keep
      the VM attached to the snapshot specified by `attach_snapshot`. Otherwise
      the builder will reset the VM to the snapshot to which the VM was attached
      before the builder started. Defaults to `false`.
    
-   `skip_export` (bool) - Defaults to `false`. When enabled, Packer will
      not export the VM. Useful if the builder should be applied again on the created
      target snapshot.
    